Bug 401508 - List of grouped windows does not show up as expected when clicked in task manager after upgrade to plasma 5.14.4
Summary: List of grouped windows does not show up as expected when clicked in task man...
Status: REPORTED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: 5.16.2
Platform: openSUSE RPMs Linux
: NOR normal
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords:
: 401519 401521 401531 401617 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-11-28 15:15 UTC by Patrick Silva
Modified: 2021-04-12 20:52 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
demonstration (62.68 KB, image/gif)
2018-11-28 15:15 UTC, Patrick Silva
Details
Reopened because of this (31.01 KB, image/jpeg)
2019-07-08 08:50 UTC, Robby Engelmann
Details
Screenshot (122.46 KB, image/png)
2021-04-11 19:14 UTC, Robby Engelmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-11-28 15:15:11 UTC
Created attachment 116550 [details]
demonstration

STEPS TO REPRODUCE
1. open an amount of firefox windows enough to group them in the task manager
2. click the list of grouped windows in the task manager
3. 

OBSERVED RESULT
see my gif please

EXPECTED RESULT
list of grouped windows shows up

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.14.4
Qt Version: 5.12.0 RC1
KDE Frameworks Version: 5.52.0


ADDITIONAL INFORMATION
Also reproducible on Neon dev unstable.
Comment 1 Eike Hein 2018-11-28 15:26:16 UTC
Git commit ed34cc5f181e61d1fc98872866c5d7300a90af86 by Eike Hein.
Committed on 28/11/2018 at 15:25.
Pushed by hein into branch 'Plasma/5.12'.

Fix group popup dialog

Summary:
Fixes regression introduced with ab26ebb18b74: That diff contained
a change unrelated to the original submission, swapping a || out for
&& in response to a review note. This turns out to have broken things.

Reviewers: davidedmundson

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D17219

M  +1    -1    applets/taskmanager/package/contents/ui/GroupDialog.qml

https://commits.kde.org/plasma-desktop/ed34cc5f181e61d1fc98872866c5d7300a90af86
Comment 2 Christoph Feck 2018-11-29 03:25:45 UTC
*** Bug 401521 has been marked as a duplicate of this bug. ***
Comment 3 Andreas Sturmlechner 2018-11-29 12:40:47 UTC
*** Bug 401531 has been marked as a duplicate of this bug. ***
Comment 4 Nate Graham 2018-11-29 17:06:36 UTC
*** Bug 401519 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2018-12-02 04:42:39 UTC
*** Bug 401617 has been marked as a duplicate of this bug. ***
Comment 6 Robby Engelmann 2019-07-08 08:49:32 UTC
I see this bug still in plasma 5.16.2 (already in 5.15, but did not report until now).
See screenshot attached (why_reopened.jpg)
Comment 7 Robby Engelmann 2019-07-08 08:50:05 UTC
Created attachment 121378 [details]
Reopened because of this
Comment 8 Nate Graham 2021-04-07 09:32:43 UTC
Is anyone able to reproduce this issue in Plasma 5.18 (the latest LTS version) or 5.21 (the latest released version)? Seems like it might have gotten fixed, judging by the lack of chatter since it was opened?
Comment 9 Robby Engelmann 2021-04-11 19:14:03 UTC
Created attachment 137513 [details]
Screenshot
Comment 10 Robby Engelmann 2021-04-11 19:15:30 UTC
Screenshot shows the  issue using latest openSUSE Tumbleweed versions (Framework 5.81, KDE Plasma 5.21.4, QT 5.15.2)
Comment 11 Nate Graham 2021-04-12 17:20:33 UTC
Thanks.

Is anything printed to the console when this happens? You can see by running `plasmashell --replace` in a terminal window and then clicking on a grouped task.
Comment 12 Robby Engelmann 2021-04-12 18:16:34 UTC
I got:
file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/Task.qml:396: TypeError: Cannot read property 'count' of null

However, this time it was not reproducible, I do not know how to trigger it consistently.
Comment 13 Nate Graham 2021-04-12 20:52:52 UTC
Hmm, seems related, though not the exact thing. Somehow the underlying data model that the UI wants to use to generate the UI is reporting a thing as null when it should be an object with a `count` property.